<?php

namespace ThurData\Servers\KerioEmail\Core\Models;

use \Illuminate\Database\Eloquent\Model as EloquentModel;
use \ThurData\Servers\KerioEmail\Core\ModuleConstants;

/**
 * Wrapper for EloquentModel
 *
 * @autor ThurData <info@thurdata.ch>
 */
class ExtendedEloquentModel extends EloquentModel
{
    public function __construct(array $attributes = [])
    {
        $this->table = ModuleConstants::getPrefixDataBase() . $this->table;
        
        parent::__construct($attributes);
    }
}
